summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-cli-show
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-01-22 18:49:15 +0100
committerMichael Vogt <mvo@debian.org>2014-01-22 18:49:15 +0100
commit5003325cb5ac9e95785fae32448bab4787b4d243 (patch)
tree14d613283a5280fbf9ae7260fee9cb5f72712413 /test/integration/test-apt-cli-show
parentf744c64c591cec9e5aa489a9af55e1ed6d1871d1 (diff)
parent6d73fe5be080e66a4f6ff2b250ed1957ae7ac063 (diff)
Merge remote-tracking branch 'mvo/debian/sid' into debian/experimental-no-abi-break
Diffstat (limited to 'test/integration/test-apt-cli-show')
-rwxr-xr-xtest/integration/test-apt-cli-show29
1 files changed, 29 insertions, 0 deletions
diff --git a/test/integration/test-apt-cli-show b/test/integration/test-apt-cli-show
new file mode 100755
index 000000000..0ab3d2e56
--- /dev/null
+++ b/test/integration/test-apt-cli-show
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+DESCR='Some description
+ That has multiple lines'
+insertpackage 'unstable' 'foo' 'all' '1.0' '' '' "$DESCR"
+
+setupaptarchive
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+
+# note that we do not display Description-md5 with the "apt" cmd
+testequal "Package: foo
+Priority: optional
+Section: other
+Installed-Size: 42
+Maintainer: Joe Sixpack <joe@example.org>
+Architecture: all
+Version: 1.0
+Filename: pool/main/foo/foo_1.0_all.deb
+Description: Some description
+ That has multiple lines
+" apt show foo